// Copyright (c) 2016, Google Inc. All rights reserved. Use of this source code
// is governed by a BSD-style license that can be found in the LICENSE file.
import 'dart:io';

import 'package:test/test.dart';

@TestOn('vm')
main() {
  final variablesCss = new File('test/_assets/variables.scss.css');

  setUpAll(() {
    if (!variablesCss.existsSync()) {
      Process.runSync('tool/build.dart', const []);
    }
    if (!variablesCss.existsSync()) {
      fail('Could not build .scss.css. Try running tool/build.dart.');
    }
  });

  test('should have generated "variables.scss.css"', () {
    expect(variablesCss.readAsStringSync(), equalsIgnoringWhitespace(r'''
      div.red {
        color: #FF0000;
      }
      div.green {
        color: #00FF00;
      }
      div.blue {
        color: #0000FF;
      }
    '''));
  });
}
