// Copyright (c) 2016, Google Inc. All rights reserved. Use of this source code
// is governed by a BSD-style license that can be found in the LICENSE file.

import 'package:build/build.dart';
import 'package:sass_generator/src/sass_builder.dart';

/// Builds .css files for *tests* and *examples* in this package only.
main() async {
  await build(
    new PhaseGroup.singleAction(
      const SassBuilder(),
      new InputSet(
        'sass_generator',
        const [
          'test/_assets/variables.scss',
        ],
      ),
    ),
    deleteFilesByDefault: true,
  );
}
